require 'db/mongo/models/stack/stack_aws'
require 'db/mongo/models/stack/stack_openstack'

FactoryGirl.define do
  factory :stack, aliases: [:stack_aws], class: Devops::Model::StackAws do
    id 'stack_id'
    project 'project'
    category 'category'
    environment 'deploy_env'
    stack_template 'template_id'
    name 'iamstack'
    owner 'root'
    run_list []
    provider 'aws'
    provider_account 'first'

    factory :stack_openstack, class: Devops::Model::StackOpenstack do
      provider 'openstack'
    end
  end
end